import { ChangeDetectorRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { Cart, CmsService } from '@spartacus/core';
import { BehaviorSubject, Observable } from 'rxjs';
import { CartService } from '../../../services/cart.service';
import { SavedCartDetailsService } from '../saved-cart-details.service';
import * as i0 from "@angular/core";
export declare class CustomSaveCartDtlComponent implements OnInit, OnChanges {
    private cartService;
    private cdr;
    private cmsService;
    protected savedCartDetailsService: SavedCartDetailsService;
    isMobile: boolean;
    isTablet: boolean;
    isDesktop: boolean;
    listview: boolean;
    isExpandAll: boolean;
    showWaitCursor: BehaviorSubject<boolean>;
    cartDetails: any;
    additionalPara: any;
    constructor(cartService: CartService, cdr: ChangeDetectorRef, cmsService: CmsService, savedCartDetailsService: SavedCartDetailsService);
    savedCart$: Observable<Cart | undefined>;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ParaContent(): void;
    toggleGridOrListView(event: any): void;
    expandAll(): void;
    contractAll(): void;
    onResize(event: any): void;
    onPageRefresh(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomSaveCartDtlComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomSaveCartDtlComponent, "app-custom-save-cart-dtl", never, {}, {}, never, never>;
}
